> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ticket Messages

> Get all messages for a ticket.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/tickets/{ticket_id}/messages
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tickets/{ticket_id}/messages:
    get:
      tags:
        - Tickets
      summary: List Ticket Messages
      description: Get all messages for a ticket.
      operationId: core_api_v1_controllers_tickets_list_ticket_messages
      parameters:
        - in: path
          name: ticket_id
          schema:
            title: Ticket Id
            type: string
          required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````